Threats API

脅威データの管理と照会


Threats API は、検出されたフィッシング脅威の照会・管理に使用します。

List Threats

GET /v1/threats

Query Parameters

ParameterType説明
domainstring保護ドメインで filter
statusstringactive / resolved / false_positive
severitystringhigh / medium / low
pagenumberページ番号(default: 1
per_pagenumber1 ページあたりの件数(default: 20

Response Example

{
  "data": [
    {
      "id": "thr_xxx",
      "domain": "examp1e.com",
      "protected_domain": "example.com",
      "type": "phishing",
      "status": "active",
      "severity": "high",
      "similarity": 0.95,
      "source": "ct_log",
      "first_seen": "2024-01-20T10:30:00Z",
      "screenshot_url": "https://..."
    }
  ],
  "meta": {
    "total": 42,
    "page": 1,
    "per_page": 20
  }
}

Get Threat

GET /v1/threats/:id

Response Example

{
  "data": {
    "id": "thr_xxx",
    "domain": "examp1e.com",
    "protected_domain": "example.com",
    "type": "phishing",
    "status": "active",
    "severity": "high",
    "similarity": 0.95,
    "source": "ct_log",
    "ip_address": "192.168.1.1",
    "registrar": "Example Registrar",
    "created_at": "2024-01-20T10:30:00Z",
    "screenshot_url": "https://...",
    "whois": {...}
  }
}

Update Threat Status

PATCH /v1/threats/:id

Request Body

{
  "status": "resolved"
}

Available Status Values

Status説明
activeアクティブな脅威
resolved解決済み
false_positive誤検出

Batch Operations

POST /v1/threats/batch

Request Body

{
  "ids": ["thr_xxx", "thr_yyy"],
  "action": "resolve"
}

Available Actions

Action説明
resolve解決済みとしてマーク
mark_false_positive誤検出としてマーク
reactivate再アクティブ化

    Threats API | OpenBait